Skip to main content
POST
/
v0
/
tokens
/
metadata
Get Tokens Metadata
curl --request POST \
  --url https://api.bubblemaps.io/v0/tokens/metadata \
  --header 'Content-Type: application/json' \
  --header 'X-ApiKey: <api-key>' \
  --data '
[
  {
    "address": "<string>"
  }
]
'
[
  {
    "token_key": {
      "address": "<string>"
    },
    "metadata": {
      "name": "<string>",
      "symbol": "<string>",
      "is_indexed": true,
      "img_url": "<string>"
    },
    "stats": {
      "transfers_count": 123,
      "min_date": "2023-11-07T05:31:56Z",
      "max_date": "2023-11-07T05:31:56Z"
    }
  }
]
Credit cost: 0.1 per token.
Response field token_stats is deprecated, use stats instead. See the changelog.
Get metadata for a batch of tokens. Token list is passed in body. The parameter return_token_stats will include token aggregates in each response under stats. Costs 0.5 credit per token instead of 0.1. See indexed tokens for context on the is_indexed attribute.

Authorizations

X-ApiKey
string
header
required

Query Parameters

return_token_stats
boolean
default:false

Body

application/json
Maximum array length: 1000
chain
enum<string>
required
Available options:
eth,
base,
solana,
tron,
bsc,
apechain,
sonic,
ton,
avalanche,
polygon,
monad,
hyperevm,
arbitrum
address
string
required
Example:
[
{
"chain": "eth",
"address": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984"
},
{
"chain": "base",
"address": "0x940181a94a35a4569e4529a3cdfb74e38fd98631"
}
]

Response

Successful Response

token_key
TokenKey · object
required
metadata
TokenMetadata · object
required
stats
TokenAggregates · object